/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * 计划执行批次表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-10-11 20:31:24  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "计划执行批次表")
public class AtuPlanBatch extends Partition
{
  public static final String KEY_id = "id";
  public static final String KEY_planId = "planId";
  public static final String KEY_batch = "batch";
  public static final String KEY_status = "status";
  public static final String KEY_startTime = "startTime";
  public static final String KEY_endTime = "endTime";
  public static final String KEY_taskTotal = "taskTotal";
  public static final String KEY_successNum = "successNum";
  public static final String KEY_execFailNum = "execFailNum";
  public static final String KEY_assertFailNum = "assertFailNum";
  public static final String KEY_timeoutNum = "timeoutNum";
  public static final String KEY_cancelNum = "cancelNum";
  public static final String KEY_successRate = "successRate";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_executedBy = "executedBy";
  public static final String KEY_triggerType = "triggerType";
  public static final String KEY_scriptNum = "scriptNum";
  public static final String KEY_perDataPath = "perDataPath";
  public static final String KEY_attachmentClearStatus = "attachmentClearStatus";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 计划主键<br>
   */
  @ApiModelProperty("计划主键")
  @Size(max = 32, message="计划主键-planId: 数据长度不能 > 32" )
  private String planId;
  /**
   * 任务批次<br>
   */
  @ApiModelProperty("任务批次")
  private Integer batch;
  /**
   * 状态;0-等待中，1-执行中，2-已完成，3-已取消<br>
   */
  @ApiModelProperty("状态;0-等待中，1-执行中，2-已完成，3-已取消")
  @Size(max = 1, message="状态;0-等待中，1-执行中，2-已完成，3-已取消-status: 数据长度不能 > 1" )
  private String status;
  /**
   * 调度开始时间<br>
   */
  @ApiModelProperty("调度开始时间")
  private Date startTime;
  /**
   * 调度结束时间<br>
   */
  @ApiModelProperty("调度结束时间")
  private Date endTime;
  /**
   * 任务总数<br>
   */
  @ApiModelProperty("任务总数")
  private Integer taskTotal;
  /**
   * 执行成功脚本数<br>
   */
  @ApiModelProperty("执行成功脚本数")
  private Integer successNum;
  /**
   * 执行失败脚本数<br>
   */
  @ApiModelProperty("执行失败脚本数")
  private Integer execFailNum;
  /**
   * 断言失败脚本数<br>
   */
  @ApiModelProperty("断言失败脚本数")
  private Integer assertFailNum;
  /**
   * 超时脚本数<br>
   */
  @ApiModelProperty("超时脚本数")
  private Integer timeoutNum;
  /**
   * 取消脚本数<br>
   */
  @ApiModelProperty("取消脚本数")
  private Integer cancelNum;
  /**
   * 成功率<br>
   */
  @ApiModelProperty("成功率")
  @Size(max = 10, message="成功率-successRate: 数据长度不能 > 10" )
  private String successRate;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 执行人<br>
   */
  @ApiModelProperty("执行人")
  @Size(max = 32, message="执行人-executedBy: 数据长度不能 > 32" )
  private String executedBy;
  /**
   * 触发类型；1-自动，2-手动，3-devops<br>
   */
  @ApiModelProperty("触发类型；1-自动，2-手动，3-devops")
  @Size(max = 1, message="触发类型；1-自动，2-手动，3-devops-triggerType: 数据长度不能 > 1" )
  private String triggerType;
  /**
   * 脚本总数<br>
   */
  @ApiModelProperty("脚本总数")
  private Integer scriptNum;
  /**
   * 批次性能数据文件存放地址<br>
   */
  @ApiModelProperty("批次性能数据文件存放地址")
  @Size(max = 512, message="批次性能数据文件存放地址-perDataPath: 数据长度不能 > 512" )
  private String perDataPath;

  /**
   * 附件清理标志,0-未清理，1-已清理
   */
  @ApiModelProperty("附件清理标志,0-未清理，1-已清理")
  private Integer attachmentClearStatus;

  public Integer getAttachmentClearStatus() {
    return attachmentClearStatus;
  }

  public void setAttachmentClearStatus(Integer attachmentClearStatus) {
    this.attachmentClearStatus = attachmentClearStatus;
  }

  public String getSource() {
    return source;
  }

  public void setSource(String source) {
    this.source = source;
  }

  private String source;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 计划主键<br>
   */
  public String getPlanId()
  {
      return planId;
    }

  /**
   * 计划主键<br>
   *
   * @param planId 计划主键
   */
  public void setPlanId(String planId)
  {
      this.planId = planId;
    }
  /**
   * 任务批次<br>
   */
  public Integer getBatch()
  {
      return batch;
    }

  /**
   * 任务批次<br>
   *
   * @param batch 任务批次
   */
  public void setBatch(Integer batch)
  {
      this.batch = batch;
    }
  /**
   * 状态;0-等待中，1-执行中，2-已完成，3-已取消<br>
   */
  public String getStatus()
  {
      return status;
    }

  /**
   * 状态;0-等待中，1-执行中，2-已完成，3-已取消<br>
   *
   * @param status 状态;0-等待中，1-执行中，2-已完成，3-已取消
   */
  public void setStatus(String status)
  {
      this.status = status;
    }
  /**
   * 调度开始时间<br>
   */
  public Date getStartTime()
  {
      if(startTime != null)
    {
      return (Date)startTime.clone();
    }
    return null;
    }

  /**
   * 调度开始时间<br>
   *
   * @param startTime 调度开始时间
   */
  public void setStartTime(Date startTime)
  {
      if(startTime != null)
    {
      this.startTime = (Date)startTime.clone();
    }
    }
  /**
   * 调度结束时间<br>
   */
  public Date getEndTime()
  {
      if(endTime != null)
    {
      return (Date)endTime.clone();
    }
    return null;
    }

  /**
   * 调度结束时间<br>
   *
   * @param endTime 调度结束时间
   */
  public void setEndTime(Date endTime)
  {
      if(endTime != null)
    {
      this.endTime = (Date)endTime.clone();
    }
    }
  /**
   * 任务总数<br>
   */
  public Integer getTaskTotal()
  {
      return taskTotal;
    }

  /**
   * 任务总数<br>
   *
   * @param taskTotal 任务总数
   */
  public void setTaskTotal(Integer taskTotal)
  {
      this.taskTotal = taskTotal;
    }
  /**
   * 执行成功脚本数<br>
   */
  public Integer getSuccessNum()
  {
      return successNum;
    }

  /**
   * 执行成功脚本数<br>
   *
   * @param successNum 执行成功脚本数
   */
  public void setSuccessNum(Integer successNum)
  {
      this.successNum = successNum;
    }
  /**
   * 执行失败脚本数<br>
   */
  public Integer getExecFailNum()
  {
      return execFailNum;
    }

  /**
   * 执行失败脚本数<br>
   *
   * @param execFailNum 执行失败脚本数
   */
  public void setExecFailNum(Integer execFailNum)
  {
      this.execFailNum = execFailNum;
    }
  /**
   * 断言失败脚本数<br>
   */
  public Integer getAssertFailNum()
  {
      return assertFailNum;
    }

  /**
   * 断言失败脚本数<br>
   *
   * @param assertFailNum 断言失败脚本数
   */
  public void setAssertFailNum(Integer assertFailNum)
  {
      this.assertFailNum = assertFailNum;
    }
  /**
   * 超时脚本数<br>
   */
  public Integer getTimeoutNum()
  {
      return timeoutNum;
    }

  /**
   * 超时脚本数<br>
   *
   * @param timeoutNum 超时脚本数
   */
  public void setTimeoutNum(Integer timeoutNum)
  {
      this.timeoutNum = timeoutNum;
    }
  /**
   * 取消脚本数<br>
   */
  public Integer getCancelNum()
  {
      return cancelNum;
    }

  /**
   * 取消脚本数<br>
   *
   * @param cancelNum 取消脚本数
   */
  public void setCancelNum(Integer cancelNum)
  {
      this.cancelNum = cancelNum;
    }
  /**
   * 成功率<br>
   */
  public String getSuccessRate()
  {
      return successRate;
    }

  /**
   * 成功率<br>
   *
   * @param successRate 成功率
   */
  public void setSuccessRate(String successRate)
  {
      this.successRate = successRate;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 执行人<br>
   */
  public String getExecutedBy()
  {
      return executedBy;
    }

  /**
   * 执行人<br>
   *
   * @param executedBy 执行人
   */
  public void setExecutedBy(String executedBy)
  {
      this.executedBy = executedBy;
    }
  /**
   * 触发类型；1-自动，2-手动，3-devops<br>
   */
  public String getTriggerType()
  {
      return triggerType;
    }

  /**
   * 触发类型；1-自动，2-手动，3-devops<br>
   *
   * @param triggerType 触发类型；1-自动，2-手动，3-devops
   */
  public void setTriggerType(String triggerType)
  {
      this.triggerType = triggerType;
    }
  /**
   * 脚本总数<br>
   */
  public Integer getScriptNum()
  {
      return scriptNum;
    }

  /**
   * 脚本总数<br>
   *
   * @param scriptNum 脚本总数
   */
  public void setScriptNum(Integer scriptNum)
  {
      this.scriptNum = scriptNum;
    }
  /**
   * 批次性能数据文件存放地址<br>
   */
  public String getPerDataPath()
  {
      return perDataPath;
    }

  /**
   * 批次性能数据文件存放地址<br>
   *
   * @param perDataPath 批次性能数据文件存放地址
   */
  public void setPerDataPath(String perDataPath)
  {
      this.perDataPath = perDataPath;
    }

  public AtuPlanBatch()
  {
  }

}
